Bug 1276631 - glibc: hide backtrace from tst-malloc-backtrace
glibc: hide backtrace from tst-malloc-backtrace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Florian Weimer
Arjun Shankar
: Patch
Depends On:
Blocks: 1297579 1313485 1276633
  Show dependency treegraph
 
Reported: 2015-10-30 06:35 EDT by Florian Weimer
Modified: 2016-11-03 04:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: glibc-2.17-112.el7
Doc Type: No Doc Update
Doc Text:
At build time, a misleading error message during a malloc backtrace is no longer printer.
Story Points: ---
Clone Of:
: 1276633 (view as bug list)
Environment:
Last Closed: 2016-11-03 04:26:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-10-30 06:35:40 EDT
We should backport this upstream commit:

https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=02242448bf431a69fd0b8c929ca4408a05479baa

Without this, messages such as the one below will appear in build logs.  The point of this test is to generate a backtrace and ensure it is printed successfully, so the backtrace as such is entirely expected.  It is just confusing that it appears in build logs.

*** Error in `/builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/malloc/tst-malloc-backtrace': malloc(): memory corruption: 0x000002aaaaae0010 ***
======= Backtrace: =========
/builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/libc.so.6(+0x7bd88)[0x3ffb7eebd88]
/builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/libc.so.6(__libc_malloc+0x58)[0x3ffb7eed080]
/builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/malloc/tst-malloc-backtrace[0x401604]
======= Memory map: ========
00400000-00410000 r-xp 00000000 08:05 5398005                            /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/malloc/tst-malloc-backtrace
00410000-00420000 r--p 00000000 08:05 5398005                            /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/malloc/tst-malloc-backtrace
00420000-00430000 rw-p 00010000 08:05 5398005                            /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/malloc/tst-malloc-backtrace
2aaaaaa0000-2aaaaac0000 r-xp 00000000 08:05 5390292                      /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/elf/ld.so
2aaaaac0000-2aaaaad0000 r--p 00010000 08:05 5390292                      /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/elf/ld.so
2aaaaad0000-2aaaaae0000 rw-p 00020000 08:05 5390292                      /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/elf/ld.so
2aaaaae0000-2aaaab10000 rw-p 00000000 00:00 0                            [heap]
3ffb0000000-3ffb0030000 rw-p 00000000 00:00 0 
3ffb0030000-3ffb4000000 ---p 00000000 00:00 0 
3ffb7e10000-3ffb7e30000 r-xp 00000000 08:05 4587843                      /usr/lib64/libgcc_s-4.8.5-20150702.so.1
3ffb7e30000-3ffb7e40000 r--p 00010000 08:05 4587843                      /usr/lib64/libgcc_s-4.8.5-20150702.so.1
3ffb7e40000-3ffb7e50000 rw-p 00020000 08:05 4587843                      /usr/lib64/libgcc_s-4.8.5-20150702.so.1
3ffb7e60000-3ffb7e70000 rw-p 00000000 00:00 0 
3ffb7e70000-3ffb7fd0000 r-xp 00000000 08:05 5390294                      /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/libc.so
3ffb7fd0000-3ffb7fe0000 r--p 00150000 08:05 5390294                      /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/libc.so
3ffb7fe0000-3ffb7ff0000 rw-p 00160000 08:05 5390294                      /builddir/build/BUILD/glibc-2.17-c758a686/build-aarch64-redhat-linux/libc.so
3ffb7ff0000-3ffb8000000 r--p 00000000 00:00 0                            [vvar]
3ffb8000000-3ffb8010000 r-xp 00000000 00:00 0                            [vdso]
3fffffd0000-40000000000 rw-p 00000000 00:00 0                            [stack]
Comment 2 Mike McCune 2016-03-28 18:37:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 errata-xmlrpc 2016-11-03 04:26:52 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2573.html

Note You need to log in before you can comment on or make changes to this bug.